Bug 3301 - Default ${GLOBUS_SCRATCH_DIR} is wrong when using ant 1.6.2
: Default ${GLOBUS_SCRATCH_DIR} is wrong when using ant 1.6.2
Status: RESOLVED FIXED
: GRAM
wsrf managed job factory service
: 4.0.0
: All All
: P3 normal
: 4.0.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-05-05 18:09 by
Modified: 2005-08-03 16:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-05 18:09:38
The default value of the ${GLOBUS_SCRATCH_DIR} Job Description variable is
/.globus/scratch, but it is intended to be ${GLOBUS_USER_HOME}/.scratch.

The bug is in the globus_wsrf_gram_service_java_setup_common script which
generates the jndi files for the various GRAM factories.

As a workaround, modify $GLOBUS_LOCATION/etc/gram-service-*/jndi-config.xml and
change the value of the scratchDirectory parameter.
------- Comment #1 From 2005-05-09 09:59:46 -------
I actually had a bug open for this before, but everybody else said theirs
worked fine so I closed it.  It 
seems that this mostly works, but on some machines the ${GLOBUS_USER_HOME}
string in one of the 
scripts is being interpreted as an actual env var and resolved to "" because it
obviously isn't set in the 
environment.  I fixed this for myself by escaping the dollar sign, but then the
other's that said it worked 
complained that they got '\$' instead of '$' in their config file.
------- Comment #2 From 2005-05-10 10:57:37 -------
Maybe we should just have the default in the java code if the jndi parameter is
not present?
------- Comment #3 From 2005-05-10 11:32:13 -------
That should work, although it would be nice to understand why the hell that is
happening.  If someone 
else tries to set the value to something similar, then they may run into the
same problem.  I suppose 
that would be easier to solve since they can adjust the escaping as neccessary,
but we will have 
problems if we give examples in the documentation.
------- Comment #4 From 2005-05-10 14:11:56 -------
Problem seems to be from different ant versions. Ant 1.6.0 will process the
current setup package ok, but 1.6.2 will require $ to be \$. It is unclear to me
from the ant changelogs whether this is intentional.
------- Comment #5 From 2005-05-10 18:48:28 -------
Committed changes to the gram java service and the java setup package. The java
service now provides a default value of the scratchDirectory JNDI param, and the
setup package now skips ant and writes the jndi config file itself, eliminating
the ant bug.

Advisory added and update packages available:
http://www-unix.globus.org/ftppub/gt4/4.0/4.0.0/updates/src/globus_wsrf_gram_service_java-0.57.tar.gz
http://www-unix.globus.org/ftppub/gt4/4.0/4.0.0/updates/src/globus_wsrf_gram_service_java_setup_common-0.8.tar.gz

joe